* {
    margin: 0;
    padding: 0;
}

html {
    scroll-behavior: smooth;
}

body {
    min-height: 100vh;
    background: #F5F3FE;
    color: #1e1e1e;
    font-family: 'Poppins', sans-serif;
}

a {
    font-family: 'Poppins', sans-serif;
    color: inherit;
    font-size: 0.7rem;
}

p {
    font-size: 0.8rem;
}

@media (min-width: 900px) {

    h2,
    h4 {
        padding-left: 20vh;
    }
}

h1,
h2 {
    font-family: 'Tilt Warp', sans-serif;
    letter-spacing: -5px;
}

nav {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 1;
    display: flex;
    flex-direction: column;
    /* stack top/bottom rows */
    align-items: flex-start;
    /* default for stacked nav items */
    transition: top 0.5s ease-in-out;
    padding: 1vh 0 1vh 1vh;
    transition: top 0.9s cubic-bezier(0.65, 0, 0.35, 1), background-color 0.4s ease;
    background-color: rgba(255, 255, 255, 0.2);
    backdrop-filter: blur(8px);
    box-shadow: 2px 4px 4px rgba(138, 136, 136, 0.1);
}

.nav-row {
    display: flex;
    justify-content: flex-start;
    gap: 10px;
    /* equal spacing between links */
}

.nav-row a {
    text-decoration: none;
    color: #000;
    font-weight: 500;
    white-space: nowrap;
    /* prevents wrapping if text is short */
}

nav ul li a {
    padding: 8px 5px;
    display: block;
}

nav a {
    height: 100%;
    padding: 6px 10px;
    text-decoration: none;
    display: flex;
    align-items: center;
    font-size: 0.7rem;
    font-weight: 300;
    text-transform: uppercase;
}

nav a:hover {
    color: #E27296;
    transition: 0.4s ease;
}

.language-switch {
    position: absolute;
    /* take it out of the flow */
    top: 1vh;
    /* distance from top */
    right: 1rem;
    /* distance from right */
    display: flex;
    gap: 0.5rem;
    /* spacing between buttons */
    font-size: 0.7rem;
    text-transform: uppercase;
}

.lang-btn {
    background: none;
    border: none;
    /* remove any button border */
    padding: 0;
    /* remove extra padding */
    text-transform: uppercase;
    cursor: pointer;
    /* keep pointer so it feels clickable */
    text-decoration: none;
    /* remove underline if any */
}

.lang-btn:hover {
    color: #E27296;
    transition: 0.4s ease;
}

.line {
    color: #1e1e1e;
}

@media (min-width: 900px) {
    nav {
        display: flex;
        flex-direction: row;
        justify-content: center;
        gap: 120px;
        /* space between top and bottom rows removed */
    }
    .nav-row {
        display: contents;
        /* rows ignored, links sit in single row */
    }
    .language-switch{
        padding: 8px;
    }
    .lang-btn{
        font-size: 0.8rem;
    }
}

.hero {
    background-image: url(images/abstract-hero\ 2.png);
    background-position: 45% center;
    background-repeat: no-repeat;
    background-size: cover;
    height: 100vh;
    padding: 0;
    position: relative;
    display: grid;
    grid-template-rows: auto auto;
    justify-content: center;
    align-items: center;
}

.hero-titles {
    color: #1e1e1e;
    padding-top: 20vh;
}

.hero-title {
    font-family: 'Tilt Warp', sans-serif;
    font-size: 9.5rem;
    line-height: 1.1;
    font-weight: 500;
}

.hero h1 {
    letter-spacing: -12px;
    line-height: 5.5rem;
}

.web {
    margin-left: 100px;
}

.hero-titles h3 {
    font-weight: 400;
    font-size: 0.9rem;
    line-height: 3.5rem;
    padding: 1vh;
}

.buttons {
    display: flex;
    flex-direction: column;
    gap: 40px;
    width: 320px;
    justify-self: center;
}


@media (min-width: 900px) {
    .hero{
        background-position: center;
    }
    .hero-titles h1 {
        font-size: 9.5rem;
        line-height: 5.5rem;
        justify-self: center;
    }

    .hero-titles h3 {
        font-size: 0.9rem;
        font-weight: 300;
        max-width: none;
        justify-self: center;
    }

    .buttons {
        position: absolute;
        display: inline-flex;
        flex-direction: row;
        justify-self: center;
        bottom: 10vh;
        width: auto;
        gap: 280px;
    }
    .buttons .button {
        width: 280px;
        font-size: 0.8rem;
    }
}

@media (max-width: 765px) {
    .web {
        margin-left: 90px;
    }
}

.buttons .button {
    padding: 8px 24px;
    font-size: 0.8rem;
    text-align: center;
    text-decoration: none;
    text-transform: uppercase;
}

#prim-btn {
    color: #F2EFEB;
    background-color: #1e1e1e;
}

#sec-btn {
    background-color: #1e1e1e;
    color: #e8e7e7;
}

#prim-btn:hover,
#sec-btn:hover {
    color: #1E1E1E;
    background: #E2DFDB;
    transition: 0.5s ease;
}

.my-work {
    padding: 20vh 5vh;
}

.titles h2 {
    font-size: 3rem;
    font-weight: 300;
    line-height: 3rem;
}

.titles h4 {
    font-weight: 300;
    font-size: 0.9rem;
    line-height: 1.2rem;
}

.project-flow {
    padding: 10vh 5vh;
}

.project-flow h2 {
    font-size: 3rem;
    font-weight: 300;
    line-height: 3rem;
}

.project-flow h4 {
    font-weight: 300;
    font-size: 0.9rem;
    line-height: 1.2rem;
    padding-bottom: 6vh;
}

.project-flow .number {
    font-family: 'Tilt Warp', sans-serif;
    font-size: 6rem;
    font-weight: 300;
    color: rgba(30, 30, 30, 0.28);
}

.project-flow h5 {
    display: flex;
    align-items: center;
    text-transform: uppercase;
    gap: 5px;
    font-size: 1rem;
    font-weight: 300;
    line-height: 1;
}

.steps {
    display: grid;
    grid-template-columns: repeat(auto-fit, 300px);
    justify-content: center;
    align-items: center;
}

@media (min-width: 900px) {
    .steps {
        display: grid;
        grid-template-columns: repeat(auto-fit, 280px);
        justify-content: center;
        align-items: flex-start;
        width: 100%;
        column-gap: 3vh;
    }

    .step p {
        font-size: 0.8rem;
    }
}

.step p {
    font-size: 0.9rem;
    line-height: 1.2rem;
    max-width: 30ch;
    font-weight: 300;
}

.step {
    padding: 3vh 0;
}

.project-plans {
    padding: 10vh 5vh;
}

.project-plans h2 {
    font-size: 3rem;
    font-weight: 300;
    line-height: 3rem;
}

.project-plans h4{
    font-weight: 300;
    font-size: 0.9rem;
    line-height: 1.2rem;
    padding-bottom: 6vh;
    max-width: 65ch;
}
.project-plans p{
    font-weight: 300;
    font-size: 0.9rem;
    line-height: 1.2rem;
}
@media (min-width: 900px){
    .project-plans p{
        padding-left: 20vh;
    }
}
.project-plans li {
    line-height: 1.3rem;
    font-weight: 300;
}

.core-features {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.project-plans h5 {
    display: flex;
    align-items: center;
    font-size: 1.4rem;
    font-weight: 300;
    text-transform: uppercase;
    padding-bottom: 1rem;
}

.project-plans li {
    font-size: 0.9rem;
    max-width: 30ch;
}

.project-plans ul {
    padding-bottom: 5vh;
}

.plans {
    display: grid;
    grid-template-columns: repeat(auto-fit, 300px);
    justify-content: center;
    align-items: stretch;
    padding-top: 6vh;
}

.basic,
.standard,
.premium {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 2rem;
    height: 100%;
    /* fill grid row */
}
.card-content {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    height: 75%;
}
.core-features{
    align-self: flex-start;
    padding-top: 35px;
    gap: 45px;
}
.list {
    list-style: none;
    padding-left: 0;
}

.list li {
    position: relative;
    padding-left: 25px;
}

.list li::before {
    content: "✓";
    position: absolute;
    left: 0;
    color: #1e1e1e;
    font-weight: bold;
}
.plan-btn {
    display: flex;
    flex-direction: row;
    align-items: center;
    padding: 8px 44px;
    font-size: 0.8rem;
    text-align: center;
    text-decoration: none;
    text-transform: uppercase;
    color: #F2EFEB;
    background-color: #F479C2;
    box-shadow: 2px 2px 4px rgba(0, 0, 0, 0.3);
}

.plan-btn:hover {
    background: #1E1E1E;
    color: #F2EFEB;
    transition: 0.5s ease;
}

.about {
    padding: 5vh;
}

.about-context {
    display: grid;
    grid-template-columns: repeat(auto-fit, 1fr);
    justify-content: center;
    align-items: center;
    gap: 5vh;
}

@media (min-width: 900px) {
    .about-context {
        display: grid;
        grid-template-columns: 1fr 1fr;
        grid-template-rows: auto auto;
        grid-template-areas:
            "title image"
            "text image";
    }

    .about-title {
        grid-area: title;
        justify-self: start;
    }

    .about-img {
        grid-area: image;
        justify-self: end;
        align-self: center;
        padding-right: 20vh;
    }

    .about-text {
        grid-area: text;
        justify-self: left;
        padding-left: 20vh;
    }
}

.about h2 {
    font-size: 3rem;
    font-weight: 300;
    line-height: 2.7rem;
}

.about-img img {
    max-width: 300px;
    width: 100%;
    height: auto;
    box-shadow: 2px 2px 4px rgba(0, 0, 0, 0.3);
}

.about-text p {
    font-size: 0.9rem;
    font-weight: 300;
    max-width: 60ch;
    padding-bottom: 20px;
}

.contact {
    padding: 10vh 5vh;
}

.contact h2 {
    font-size: 3rem;
    font-weight: 300;
    line-height: 3rem;
}

.contact h4 {
    font-weight: 300;
    font-size: 0.9rem;
    line-height: 1.2rem;
}

.contact-form {
    display: flex;
    flex-direction: column;
    gap: 6px;
}

.contact-form .form-group {
    display: flex;
    flex-direction: column;
    max-width: 400px;
}

.form-btn {
    padding: 8px 24px;
    font-size: 0.8rem;
    text-align: center;
    text-decoration: none;
    text-transform: uppercase;
    background-color: #F479C2;
    color: #F2EFEB;
    border: none;
    box-shadow: 2px 2px 4px rgba(0, 0, 0, 0.3);
    width: 200px;
}

.contact-form input,
.contact-form textarea {
    font-size: 0.8rem;
    padding: 10px;
    border: 1px solid rgba(235, 54, 175, 0.331);
    background-color: #fff;
}

.contact-form textarea {
    height: 200px;
}
input,
textarea {
    font-family: inherit;
}

input::placeholder,
textarea::placeholder {
    font-family: inherit;
}
.form-btn:hover {
    background: #1E1E1E;
    color: #F2EFEB;
    transition: 0.5s ease;
}

@media (min-width: 900px) {
    .contact-form {
        display: flex;
        flex-direction: column;
        gap: 6px;
        padding: 10vh 20vh;
    }

    .contact-form .form-group {
        display: flex;
        flex-direction: column;
        max-width: 400px;
    }

    .form-btn {
        padding: 8px 24px;
        font-size: 0.8rem;
        text-align: center;
        text-decoration: none;
        text-transform: uppercase;
        background-color: #F479C2;
        box-shadow: 2px 2px 4px rgba(0, 0, 0, 0.3);
        width: 200px;
    }

    .contact-form input,
    .contact-form textarea {
        font-size: 0.8rem;
        padding: 10px;
        
        border: 1px solid rgba(235, 54, 174, 0.331);
        background-color: #fff;
    }

    .contact-form textarea {
        height: 200px;
    }
}

.contact-info h5,
.contact-info p {
    font-weight: 300;
    font-size: 0.9rem;
}

.contact-content {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 50px;
    align-items: center;
    padding-top: 5vh;
}

.email,
.location {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 15px;
}

.email {
    padding-bottom: 40px;
}

footer {
    background-image: url(images/abstract-hero\ 3.png);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: 60% center;
    padding: 5vh;
    color: #1E1E1E;
}

.footer-content {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-areas:
        "navigate contact"
        "terms terms";
    gap: 40px;
}

@media (min-width: 900px) {
    footer {
    background-image: url(images/abstract-hero\ 3.png);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    }
    .footer-content {
        grid-template-columns: 1fr 1fr 1fr;
        grid-template-areas: "navigate contact terms";
    }

    .footer-content {
        padding: 10vh;
    }

    .footer-content p {
        line-height: 2rem;
    }

    .footer-terms p {
        line-height: 1.1rem;
    }

    .footer-navigate,
    .footer-contact,
    .footer-terms {
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        /* stretch items to fill height */
        height: 100%;
        /* match row height */
    }
}

.footer-navigate {
    grid-area: navigate;
}

.footer-contact {
    grid-area: contact;
}

.footer-terms {
    grid-area: terms;
}

footer h6 {
    font-size: 1rem;
    font-weight: 300;
    text-transform: uppercase;
    line-height: 2rem;
}

footer p,
a {
    font-size: 1rem;
    font-weight: 300;
    line-height: 1.2rem;
}

.footer-navigate,
.footer-contact,
.footer-terms {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.footer-content a {
    text-decoration: none;

}